import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:factory_signage_app/const/string.dart';
import 'package:factory_signage_app/widget/lines.dart';

final lineSignalStatusProvider =
    StateProvider<List<LineStatus>>((ref) => createLineSignalStatus());

final presentDateTimeProvider =
    StateProvider<DateTime>((ref) => DateTime.now());

final dailyGraphDataProvider =
    StateProvider<List<int>>((ref) => List.filled(lineNames.length, 0));
